Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List agent guidance

List guidance packs for the workspace. Optional scope/scopeKey filters narrow to one attachment level.

GET/workspaces/{organizationId}/agent/guidance
Path parameters
organizationIdstringrequired
Query parameters
scopestring
Allowed:workspaceteamstatusstep
scopeKeystring
Responses
200

Guidance packs

packsobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
namestringrequired
scopestringrequired
Allowed:workspaceteamstatusstep
scopeKeystring | nullrequired
bodystringrequired
linksobject[] | nullrequired
Show properties
Array of object
labelstring
urlstringrequired
versionintegerrequired
createdBystring | nullrequired
updatedBystring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Parameters
Request
curl -X GET '/workspaces/string/agent/guidance' \
  -H 'Accept: application/json'
Response
{
  "packs": [
    {
      "id": "string",
      "organizationId": "string",
      "name": "string",
      "scope": "workspace",
      "scopeKey": "string",
      "body": "string",
      "links": [
        {
          "label": "string",
          "url": "string"
        }
      ],
      "version": 0,
      "createdBy": "string",
      "updatedBy": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}

Was this page helpful?